import mythTags,struct

class SCEN:
	def __init__(self,dFile,dOffset,localFile, filePath):
		self.fPath=filePath
		self.tagHeader=mythTags.Tag_Header(dFile,dOffset)
		if localFile>0:
			self.isLocal=True
		else:
			self.isLocal=False
			dFile.seek(self.tagHeader.getOffset())
		
		self.flags=struct.unpack(">L", dFile.read(4))[0]
		
		self.collection_reference_tag=struct.unpack(">L", dFile.read(4))[0]   #file_tag so I need to pack before reading
		
		self.object_tag=struct.unpack(">L", dFile.read(4))[0]   #file_tag
		self.projectile_tag=struct.unpack(">L", dFile.read(4))[0]   #file_tag
		
		self.valid_netgame_scoring_type=struct.unpack(">h", dFile.read(2))[0] 
		self.netgame_flag_number=struct.unpack(">h", dFile.read(2))[0] 
		
		unused=dFile.read(4)
		
#		file_tag projectile_group_tags[MAXIMUM_PROJECTILE_GROUPS_PER_SCENERY_DEFINITION];
# 		
# 		short sequence_indexes[MAXIMUM_SEQUENCES_PER_SCENERY_DEFINITION];
# 		
# 		short unused2[3];
# 		
# 		short model_permutation_delta;
# 		
# 		short unused3[1];
# 		
# 		file_tag skelmodel_tags[MAXIMUM_SEQUENCES_PER_SCENERY_DEFINITION];
# 		
# 		short unused4[19];
# 		
# 		short skelmodel_indices[MAXIMUM_SEQUENCES_PER_SCENERY_DEFINITION];
# 		short projectile_group_types[MAXIMUM_PROJECTILE_GROUPS_PER_SCENERY_DEFINITION];
# 		short collection_reference_index;
# 		short impact_projectile_group_type;
# 		short object_type;
# 		short projectile_type;
		
		
	def getLinkedTags(self):
		return False